package heap;

public class Root {
    private String name; /* Nom de la racine */
    
    public Root(String n) {
        name = n;
    }
    
    public String name() {
        return name;
    }

    public Root(Root r)
    {
    	name = new String(r.name);
    }
    public int hashCode() {
        final int PRIME = 31;
        int result = 1;
        result = PRIME * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        final Root other = (Root) obj;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        return true;
    }
    
    public String toString()
    {
    	return name;    	
    }

	    
}
